## orthanc-webviewer 2.7

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
# Copyright (C) 2017-2020 Osimis S.A., Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancWebViewer)

set(ORTHANC_PLUGIN_VERSION "2.7")

if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
else()
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.1")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
endif()


# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
set(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"system\", \"hg\", \"archive\", \"web\" or \"path\")")
set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")


# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)


# Download and setup the Orthanc framework
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)

include_directories(${ORTHANC_FRAMEWORK_ROOT})

if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
  link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})

  set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
  set(USE_GOOGLE_TEST_DEBIAN_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
  mark_as_advanced(USE_GOOGLE_TEST_DEBIAN_PACKAGE)
  include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/GoogleTestConfiguration.cmake)
else()
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)
  
  set(ENABLE_LOCALE OFF)         # Disable support for locales (notably in Boost)
  set(ENABLE_GOOGLE_TEST ON)
  set(ENABLE_SQLITE ON)
  set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
  set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
  
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
endif()


include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginsExports.cmake)


# Check that the Orthanc SDK headers are available
if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-0.9.5)
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


if (STANDALONE_BUILD)
  add_definitions(
    -DORTHANC_STANDALONE=1
    )
  set(EMBEDDED_RESOURCES
    WEB_VIEWER  ${CMAKE_SOURCE_DIR}/WebApplication
    )
else()
  add_definitions(
    -DORTHANC_STANDALONE=0
    -DWEB_VIEWER_PATH="${CMAKE_SOURCE_DIR}/WebApplication/"
    )
endif()

add_definitions(
  -DHAS_ORTHANC_EXCEPTION=1
  )

EmbedResources(
  ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Resources/OrthancExplorer.js
  JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
  ${EMBEDDED_RESOURCES}
  )

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
    ${ORTHANC_PLUGIN_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${AUTOGENERATED_DIR}/Version.rc)
endif()


# As the "EmbeddedResources.(h|cpp)" are shared by both the
# "UnitTests" and the "OrthancWebViewer" targets, avoid race
# conditions in the code generation by adding a target between them
add_custom_target(
  AutogeneratedTarget
  DEPENDS 
  ${AUTOGENERATED_SOURCES}
  )
          
set(CORE_SOURCES
  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheManager.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Cache/CacheScheduler.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerToolbox.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/ViewerPrefetchPolicy.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/SeriesInformationAdapter.cpp
  
  ${ORTHANC_CORE_SOURCES}
  )

add_library(OrthancWebViewer
  SHARED
  ${AUTOGENERATED_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/DecodedImageAdapter.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
  ${CORE_SOURCES}
  ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginCppWrapper.cpp
  )

add_dependencies(OrthancWebViewer AutogeneratedTarget)


message("Setting the version of the library to ${ORTHANC_PLUGIN_VERSION}")

add_definitions(-DORTHANC_PLUGIN_VERSION="${ORTHANC_PLUGIN_VERSION}")

set_target_properties(OrthancWebViewer PROPERTIES 
  VERSION ${ORTHANC_PLUGIN_VERSION} 
  SOVERSION ${ORTHANC_PLUGIN_VERSION})

install(
  TARGETS OrthancWebViewer
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

add_executable(UnitTests
  ${AUTOGENERATED_SOURCES}
  ${CORE_SOURCES}
  ${GOOGLE_TEST_SOURCES}
  UnitTestsSources/UnitTestsMain.cpp
  )

add_dependencies(UnitTests AutogeneratedTarget)

target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})

=== debian/changelog ===
orthanc-webviewer (2.7-2) unstable; urgency=medium

  * Compatibility with Orthanc framework 1.9.0

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Jan 2021 16:17:14 +0100

orthanc-webviewer (2.7-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2020 18:04:53 +0100

=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               liborthancframework-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev (>= 0.9.5),
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
Homepage: https://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.1)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable

export JAVASCRIPT_LIBS := Build/javascript-libs
export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
export TARGET := libOrthancWebViewer.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DSTANDALONE_BUILD:BOOL=ON \
        -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515

override_dh_auto_configure:
        # Place the third-party JavaScript libraries at the location
        # expected by CMake
	mkdir -p ${JAVASCRIPT_LIBS}/fonts
	mkdir -p ${JAVASCRIPT_LIBS}/images

        # Use the jquery library from Debian
	cp /usr/share/javascript/jquery/jquery.min.js ${JAVASCRIPT_LIBS}/jquery.js

        # The jsPanel-2.3.3 toolbox used in the Orthanc Web viewer is
        # not compatible with the version of the "jquery-ui" package
        # shipped with Debian. We need to force the version of jquery-ui.
	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.js > \
		${JAVASCRIPT_LIBS}/jquery-ui.min.js
	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.css > \
		${JAVASCRIPT_LIBS}/jquery-ui.min.css
	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.theme.css > \
		${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css
	cp debian/JS/jquery-ui-1.11.3/images/* ${JAVASCRIPT_LIBS}/images

        # Note: We don't minify the Cornerstone library, as the
        # version of yui-compressor shipped by Debian Sid crashes on it
	cp debian/JS/cornerstone-0.11.0/cornerstone.js \
		${JAVASCRIPT_LIBS}/cornerstone.min.js
	cp debian/JS/cornerstone-0.11.0/cornerstone.css \
		${JAVASCRIPT_LIBS}/cornerstone.css

	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.js > \
		${JAVASCRIPT_LIBS}/jquery.jspanel.min.js
	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.css > \
		${JAVASCRIPT_LIBS}/jquery.jspanel.min.css
	yui-compressor debian/JS/jsPanel-2.3.3/jquery.ui.touch-punch.js > \
		${JAVASCRIPT_LIBS}/jquery.ui.touch-punch.min.js
	yui-compressor debian/JS/jsPanel-2.3.3/mobile-detect.js > \
		${JAVASCRIPT_LIBS}/mobile-detect.min.js
	cp debian/JS/jsPanel-2.3.3/images/* ${JAVASCRIPT_LIBS}/images/
	cp debian/JS/jsPanel-2.3.3/fonts/* ${JAVASCRIPT_LIBS}/fonts/

	yui-compressor debian/JS/js-url-1.8.6/url.js > \
		${JAVASCRIPT_LIBS}/url.min.js

	yui-compressor debian/JS/pako-0.2.5/pako_inflate.js > \
		${JAVASCRIPT_LIBS}/pako_inflate.min.js

        # Launch the original CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	( cd Build; ./UnitTests )
endif

override_dh_auto_install:
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc

override_dh_link:
	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## orthanc-webviewer 2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2020 Osimis S.A., Belgium
+# Copyright (C) 2017-2022 Osimis S.A., Belgium
+# Copyright (C) 2021-2022 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +22,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.7")
+set(ORTHANC_PLUGIN_VERSION "2.8")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -51,9 +52,18 @@
 # Download and setup the Orthanc framework
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
 
-include_directories(${ORTHANC_FRAMEWORK_ROOT})
-
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
+  if (ORTHANC_FRAMEWORK_USE_SHARED)
+    include(FindBoost)
+    find_package(Boost COMPONENTS filesystem regex thread)
+    
+    if (NOT Boost_FOUND)
+      message(FATAL_ERROR "Unable to locate Boost on this system")
+    endif()
+    
+    link_libraries(${Boost_LIBRARIES} jsoncpp)
+  endif()
+
   link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
 
   set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
@@ -70,6 +80,7 @@
   set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()

=== debian/changelog ===
orthanc-webviewer (2.8-4build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:44:38 +0100

orthanc-webviewer (2.8-4) unstable; urgency=medium

  * Team Upload.
  * Remove fcf-protection flag from autopkgtests (Closes: #1056396)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Nov 2023 20:09:02 +0530

orthanc-webviewer (2.8-3) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Add autopkgtest
  * Added salsa-ci file
  * Updated source/include-binaries
  * Fixed source missing error

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 24 Oct 2023 08:34:29 +0000

orthanc-webviewer (2.8-2) unstable; urgency=medium

  * Updated d/copyright

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Jun 2022 08:08:23 +0200

orthanc-webviewer (2.8-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 22 Feb 2022 09:18:11 +0100

orthanc-webviewer (2.7-7) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 14 Jan 2022 15:30:22 +0100

orthanc-webviewer (2.7-6) unstable; urgency=medium

  * Fix syntax error in /etc/orthanc/webviewer.json

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 19 Dec 2021 11:07:18 +0100

orthanc-webviewer (2.7-5) unstable; urgency=medium

  * Changed cache location to "/tmp/OrthancWebViewerCache". Closes: #828949

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 24 Oct 2021 11:53:44 +0200

orthanc-webviewer (2.7-4) unstable; urgency=medium

  * Added missing "Built-Using" attribute. Closes: #989127

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 14:21:25 +0200

orthanc-webviewer (2.7-3) unstable; urgency=medium

  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Feb 2021 14:41:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,16 @@
 	-DSTANDALONE_BUILD:BOOL=ON \
         -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
+	-DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3" \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989127
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
         # Place the third-party JavaScript libraries at the location

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz

## orthanc-webviewer 2.9+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2022 Osimis S.A., Belgium
-# Copyright (C) 2021-2022 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +22,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.8")
+set(ORTHANC_PLUGIN_VERSION "2.9")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -201,3 +201,8 @@
 add_dependencies(UnitTests AutogeneratedTarget)
 
 target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
+
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancWebViewer)
+  DefineSourceBasenameForTarget(UnitTests)
+endif()

=== debian/changelog ===
orthanc-webviewer (2.9+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 11:06:08 +0000

orthanc-webviewer (2.9+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Mar 2024 13:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                libboost-all-dev,
                libgtest-dev,
                libjpeg-dev,
@@ -14,21 +14,23 @@
                liborthancframework-dev,
                libpng-dev,
                libsqlite3-dev,
-               orthanc-dev (>= 0.9.5),
+               orthanc-dev,
                unzip,
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
 Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
+Rules-Requires-Root: no
 
 Package: orthanc-webviewer
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.1)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Description: Web viewer of medical images for Orthanc
  Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
  Neutral Archive for medical imaging. It extends Orthanc with an integrated

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
 export JAVASCRIPT_LIBS := Build/javascript-libs
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET := libOrthancWebViewer.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all

## orthanc-webviewer 2.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2022 Osimis S.A., Belgium
-# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2024-2025 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +23,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.9")
+set(ORTHANC_PLUGIN_VERSION "2.10")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -77,7 +78,7 @@
   set(ENABLE_GOOGLE_TEST ON)
   set(ENABLE_SQLITE ON)
   set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
-  set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
+  set(ENABLE_MODULE_DICOM ON CACHE INTERNAL "")
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
   include_directories(${ORTHANC_FRAMEWORK_ROOT})

=== debian/changelog ===
orthanc-webviewer (2.10+dfsg-2) unstable; urgency=medium

  * Fix FTBFS due to recent updates to CMake. Closes: #1113377

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 11:32:32 +0200

orthanc-webviewer (2.10+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 May 2025 21:28:21 +0200

orthanc-webviewer (2.9+dfsg-2) unstable; urgency=medium

  * Fix FTBFS due to recent updates to dcmtk. Closes: #1102781

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 14 Apr 2025 09:33:21 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
-Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
+Homepage: https://orthanc.uclouvain.be/book/plugins/webviewer.html
 Rules-Requires-Root: no
 
 Package: orthanc-webviewer

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
         -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
-	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3" \
+	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata ofstd dcmjpeg dcmjpls dcmimage" \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 # Automated generation of the "Built-Using" attribute in "d/control"

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends: @,
         build-essential,
         cmake,
         libgtest-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         liborthancframework-dev,
         libpng-dev,
         libsqlite3-dev,
         uuid-dev,
         orthanc-dev (>= 0.9.5),
         orthanc-doc

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-webviewer/index.html OrthancWebViewer-(\d\S*)\.tar\.gz
